.window {
    position: fixed;
    z-index: 500;
    border-radius: 0px;
    top: 0;
    left: 0;
    background: white;
    overflow: hidden;
}

html body .window-box-shadow {
    box-shadow: 0px 2px 40px rgba(0,0,0,0.2);
    border-radius: 3px;
}

.window > div {
    border-radius: 0px 0px 3px 3px;
    border: 0px solid #f1f5f7;
    border-bottom: none;
    border-top: none;
   
}
/*---------------------------------------------WINDOW HEADER--------------------------------------------*/
.window > header {
    padding: 3px;
    padding-right: 0px;
    padding-top: 9px;
    padding-left: 10px;
    font-size: 9.3pt;
    font-weight: 600;
    border-radius: 0px 0px 0px 0px;
    width: 100%;
    color: white;
    height: 31px;
    background: white;
    color: #818d94;
    border-bottom: 1px solid #dfe7e9;
    display: none;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

html body .window-box-shadow > header {
    border-bottom: 1px solid #23a7ed;
    background: var(--header-bg);
    color: white;
    display: block;
    border-radius: 1px 1px 0px 0px;
    background: #2197f3;
}

.window.window-box-shadow > header div > i {
    color: white;
}

.window > header div > i {
    font-size: 15pt;
    margin-right: 3px;
    vertical-align: middle;
    position: relative;
    color: white;
    border-radius: 20px;
    color: #90a8b7
}

.window > header img {
    width: 17px;
    margin-right: 3px;
    vertical-align: middle;
    position: relative;
    bottom: 1px;
}

.window-header-control {
    position: absolute;
    right: 0px;
    top: 0px;
    text-align: right;
}

.window-header-control > div {
    display: inline-block;
    cursor: pointer;
    vertical-align: top;
}

.window > header .close-window-header {
    font-size: 14pt;
    padding: 3px 6px;
    padding-bottom: 4px;
    height: 31px;
    border-radius: 0px 0px 0px 0px;
}
html body .window > header .maximize-window-header{
     padding:6px 9px;
     padding-bottom:10px;
}
html body .window > header .maximize-window-header i{
    font-size:12pt;
    font-weight:600;
}

.window > header .minimize-window-header {
    cursor: pointer;
    padding: 4px 6px;
    padding-bottom: 7px;
}

.window > header .minimize-window-header:hover, .window > header .maximize-window-header:hover {
    background: rgba(255, 255, 255, 0.20);
}

.window header .close-window-header:hover {
    background: #e43737;
}

.window header .close-window-header:hover i {
    color: white;
}
/*-----------------------------------------WINDOW RIBBON------------------------------------------*/
.window-ribbon {
    width: 100%;
    height: 38px; /*36*/
    padding: 0px;
    overflow: visible;
    position: relative;
    white-space: nowrap;
    z-index: 10000;
    box-shadow: var(--nav-box-shadow);
    overflow-x: auto;
    overflow-y: hidden;
}

.window-ribbon > div {
    min-width: 800px;
}

.window-ribbon-right {
    float: right;
    margin-left:auto;
}

.window-ribbon-right > div {
    display: inline-block;
    vertical-align: top;
}

/*-----------------------------BANNER------------------------------*/
.window-banner{
    background:var(--header-bg);
    font-size:var(--default-font-size);
    color:white;
    padding:5px 10px;
    font-weight:600;
}

/*----------------------------------------WINDOW BODY BORDER-------------------------------------*/
/*--new--*/
.window-body{
    padding:8px;
    background:var(--input-grey);
}
.window-body-border {
    width: 100%;
    overflow: auto;
    padding: 0px;
    margin: 0px;
    position: relative;
    z-index: 1;
    background: var(--window-background);
    /*110vh - window header height - minimized tabs height*/
    max-height:calc(100vh - 31px - 38px);

    /*-new-*/
    background:white;   
    border-radius:4px;
   
}

.window-box-shadow .window-body-border {
    border: 1px solid #e2e8ea;
    border-top: none;
    border-radius: 0px 0px 3px 3px;
}

.window.window-moving {
    box-shadow: 0px 0px 40px rgba(0,0,0,0.15);
}
/*-----------------------------------------------LOADING-----------------------------------------------*/
.ad-loading {
    background: var(--input-grey);
    z-index: 10000 !important;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.ad-loading > div > div {
    text-align: center;
    padding: 10px;
    vertical-align: middle;
    position: relative;
    top: 38vh;
}

.ad-loading img {
    width: 53px;
}

.window-loading {
    width: 450px;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.window-loading > div > div {
    text-align: center;
    padding: 15px;
}

.window-loading img {
    width: 43px;
}
/*------------------------------------------CONFIRM/ERROR WINDOW----------------------------------------------*/
.window-confirm, .window-error, .window-record-lock {
    width: 430px;
    z-index: 1000000 !important;
}

.window-confirm .window-body-border, .window-error .window-body-border, .window-record-lock .window-body-border {
    padding: 14px 17px;
    font-size: 9.5pt;
    font-family: sans-serif;
    background: white;
    line-height: 1.5;
}

.window-confirm .window-body-border p, .window-error .window-body-border p, .window-record-lock .window-body-border p {
    margin-bottom: 2px;
    margin-top: 1px;
}

html body .window .small-button-light {
    background: var(--input-grey);
    color: var(--dark-text);
    margin-left: 8px;
    box-shadow: none;
}

html body .ed-create-error {
    width: 470px;
}

.ed-create-error b {
    font-weight: bold;
}
#successWindow b{
     font-weight:bold;
 }


/*------------------------------------------TOP/LEFT/RIGHT----------------------------------------*/
.window-top {
    width: 1056px;
    padding: 11px 13px;
    padding-bottom: 0;
}

.window-left, .window-right {
    display: inline-block;
    vertical-align: top;
}

.window-left {
    width: 68%;
    margin-right: 5px;
}

.window-right {
    width: 31%;
}

.window-left-left {
    width: 16%;
    display: inline-block;
    vertical-align: top;
}

.window-left-right {
    width: 83%;
    display: inline-block;
    vertical-align: top;
}

.window-left-right-split {
    display: inline-block;
    width: 49.6%;
}
/*---------------------------------------WINDOW MARGINS-----------------------------------------*/
.window-margin-x-small {
    margin-bottom: 7px;
}

.window-margin-small {
    margin-bottom: 10px;
}

.window-margin-large {
    margin-bottom: 11px;
}
/*-----------------------------------------WINDOW ROW-------------------------------------------*/
.window-row {
}

.window-row > div {
    display: inline-block;
    vertical-align: top;
}

.window-row > div > div {
    display: inline-block;
    vertical-align: top;
    margin-right: 5px;
}
/*---------------------------------------WINDOW INVERTED-----------------------------------------*/
.window-inverted {
    padding: 2px 0px;
    position: relative;
    font-size: 10pt;
    border-top:1px solid var(--input-grey);
    border-radius:4px;
  
}
.window-inverted-title {
    font-size: 8pt;
    font-weight: 600;
    margin-left: 0px;
    color: #418cb7;
    width: 100%;
    padding-top: 5px;
    border-radius: 2px 2px 0px 0px;
    color: var(--nullable-checkbox-blue);
    margin-bottom: 4px;
}
.window-inverted > div:nth-child(2) {
    padding: 4px 0px;
    margin-bottom: 0px !important;
}


/*-----------------------------------------PRIMARY CONTACT--------------------------------------*/
.window-primary-contact {
    font-size: var(--default-font-size);
    padding-top: 1px;
    width: 99.8%;
    box-shadow: 0px 0px 3px rgb(243, 244, 248);
    background: white;
   

    /*--new--*/
    padding-bottom:5px;
    box-shadow:none;
}

.window-primary-contact label {
    width: 60px;
    margin-bottom: 5px;
}
.wpc-cont{
    width:590px;
}

.window-primary-contact a, .wpc-email-window {
    color: var(--nullable-checkbox-blue);
    cursor: pointer;
}

.wpc-email-window:hover {
    text-decoration: underline;
}

.wpc-companies, .wpc-contacts {
    color: var(--nullable-checkbox-blue);
    cursor: pointer;
}

.wpc-companies:hover, .wpc-contacts:hover {
    text-decoration: underline;
}
/*---------------------------------------------AUDIT---------------------------------------------*/
.window-audit label {
    width: 100px;
}

.window-audit .window-input {
    width: 165px;
}
/*-------------------------------------------WINDOW INPUTS----------------------------------------*/
.window-input, html body .note-input {
    display: inline-block;
    padding: 5px 11px;
    border-radius: 20px /*20px*/;
    font-size: var(--default-font-size);
    vertical-align: middle;
    line-height: 1.5;
}

html body textarea.window-input {
    border-radius: 8px;

    /*-new-*/
    border-radius:4px;
}

.window-label, html body .note-form-label, html body .form-check-label {
    display: inline-block;
    font-size: var(--default-font-size); /*8.8*/
    color: var(--dark-text);
    margin-right: 3px;
    font-weight: 600;
    margin-bottom: 2px;
}

.window-label-disabled {
    color: rgba(31, 40, 49, 0.43);
}

.window-label-note{
    font-weight:400;
    color:#78828e;
    margin-top:3px;
    line-height:1.2;
    text-transform: none;
}

html body .window-input-error {
    background: #ffcfcf !important;
    border: 1px solid #febfbf !important;
}

html body .window-input[disabled] {
    color: #a2aeb4;
    background:#f2f3f7ff
}

.window-input-info {
    font-size: 7pt;
    display: inline;
    margin-left: 4px;
}

.window-input-radio .window-label, .window-label-check-radiobox {
    cursor: pointer;
}

/*---------------------------------------CONT DISABLED-----------------------------------------*/
.cont-disabled:hover {
    background: rgba(69, 168, 223, 0.13);
    border-radius: 2px;
}

.cont-can-disable .window-label {
    cursor: pointer;
}

.cont-disabled .window-label {
    color: rgba(31, 40, 49, 0.43);
}

.cont-disabled [readonly]{
    color:var(--input-grey);
}

/*---------------------------------------BUTTON LOADING-----------------------------------------*/
.control-button-loading {
    width: 10px;
}
/*------------------------------------------BOTTOM----------------------------------------------*/
.window-bottom {
    position: relative;
    bottom: 0px;
    margin: 0px 14px;
    min-width: 1050px;
    max-width: 100%;
    border-top:2px solid var(--input-grey);
    padding-top:5px;
    border-radius:4px 4px 0px 0px;
}

.window-tabs {
    width: 100%;
}

.window-bottom-disabled {
    position: absolute;
    left: 0px;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(255,255,255,0.5);
    z-index: 100;
}

.window-tabs-loading {
    width: 100%;
    text-align: center;
    height: 100%;
}

.window-tabs-loading > div {
    width: 100%;
}

.window-tabs-loading img {
    width: 45px;
}

.window-tab-body {
    box-shadow: 0px 0px 10px #f3f5f6;

    /*-new-*/
    box-shadow:none;
}

/*--------------------------------------------WINDOW FOOTER-----------------------------------------*/
.window-footer {
    height: 45px;
    padding-top: 15px;
}

.large-button {
    float: right;
    background: #2baaff;
    border: none;
    color: white;
    padding: 10px 30px;
    padding-bottom: 9px;
    border-radius: 20px /*20px*/;
    text-transform: uppercase;
    cursor: pointer;
    font-size: 10pt;
    font-weight: 600;
    background: #23a7ed;
    background: #2197f3;
}

html body .large-button-light{
    background:#bcdffb;
    color:black;
    color:#006dc2;
     -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.window-footer button.small-button {
    padding: 8px 24px;
    font-size: var(--default-font-size);
    border-radius: 20px /*20px*/;
}

html body .small-button.small-sub-button {
    background: unset;
    color: var(--dark-text);
    box-shadow: none;
}

html body .small-button.small-sub-button:hover {
    background: rgb(243, 245, 246);
}

.window-button-loading {
    width: 27px;
    margin-bottom: 0px;
}

/*---recorc lock button---*/
html body .close-lock-window-fs, html body .open-booking-read-only{
    background:var(--input-grey);
    color:#61676c;
    box-shadow:var(--input-box-shadow);
    margin-right:10px;
}

/*-------------------------------------------BUTTON WINDOWS--------------------------------------------*/
.window-block {
    position: absolute;
    z-index: 650;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.4);
    display: none;
    border: none !important;
}

.button-windows {
    position: absolute;
    z-index: 1000;
    top: 0px;
    left: 0px;
    height: 85vh;
    width: 100%;
    display: none;
}

.button-window {
    position: absolute;
    z-index: 850;
    background: white;
    border-radius: 4px;
    box-shadow: var(--popup-window-box-shadow);
    border: 1px solid #f2f6f7;
    background: white;
    /*background:var(--input-grey);*/
    -webkit-transform: translate3d(0,0,0);
   
    
}

.button-window > header, html body .modal-header {
    padding: 3px 15px;
    padding-top: 15px;
    font-weight: 600;
    font-size: var(--default-font-size);
    color: white;
    border-radius: 4px 4px 0px 0px;
    min-height: 30px;
    color: var(--dark-text);
}

.button-window > header img {
    width: 15px;
    margin-right: 4px;
    position: relative;
    bottom: 2px;
    vertical-align: middle;
}

.button-window .close-button-window, .mbme-close, .sp-help-close{
    position: absolute;
    right: 0;
    top: 0;
    padding: 2px 10px;
    padding-top: 10px;
    font-size: 13pt;
    cursor: pointer;
    border-radius: 0px 2px 0px 0px;
    color: #b9c3c8;
}

html body .button-window .close-button-window:hover, .mbme-close:hover, .sp-help-close:hover {
    background: white;
}

html body .button-window .close-button-window:hover i, .mbme-close:hover i, .sp-help-close:hover i {
    color: #0e9ce8;
}

.button-window > div {
    padding: 15px;
    padding-top: 10px;
    padding-bottom: 17px;
    position: relative;
}

.triangle-inner {
    content: '';
    width: 0;
    height: 0;
    border-top: 13px solid transparent;
    border-bottom: 13px solid transparent;
    border-right: 13px solid white;
    position: absolute;
    left: -13px;
    z-index: 20;
}

.triangle-outer {
    content: '';
    width: 0;
    height: 0;
    border-top: 14px solid transparent;
    border-bottom: 13px solid transparent;
    border-right: 14px solid #ebeeef;
    position: absolute;
    left: -14px;
}

.button-window > div > div {
    /* margin-bottom:5px; */
}

.button-window > div > div > div {
    display: inline-block;
    margin-right: 7px;
}

.button-window .window-label {
    margin-bottom: 4px;
}

html body .button-window .window-input {
    width: 100%;
    background: var(--input-grey);
    box-shadow: var(--invert-input-box-shadow);

    /*-new-*/
    box-shadow:none;
}


.button-window-buttons {
    height: 32px;
    padding-top: 7px;
}

.button-window-buttons * {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.small-button, html body .note-btn-primary, html body .note-btn-primary[disabled] {
    border: none;
    padding: 7px 22px;
    padding-bottom: 6px;
    border-radius:20px /*20px*/;
    cursor: pointer;
    font-size: var(--default-font-size);
    font-weight: 600;
    color: white;
    float: right;
    background: var(--header-bg);
    box-shadow: var(--input-box-shadow);
    position: relative;
    z-index: 5;
}

.small-button > *, html body .note-btn-primary > * {
    pointer-events: none;
}

.small-button img {
    width: 15px;
    vertical-align: middle;
    position: relative;
    bottom: 1px;
    margin-right: 2px;
}



/*----------------------------------CENTERED BUTTON WINDOW-----------------------------*/
.button-window-overlay{
    z-index:9999;
    position:fixed;
    top:0px;
    left:0px;
    width:100vw;
    height:100vh;
    background:rgba(255,255,255,0.0);
    display:none;
}
.button-window.button-window-centered{
    z-index:100000;
}



/*-----------------------------------------------GRID BUTTON WINDOW--------------------------------------------------*/

.grid-button-window .triangle-inner {
    content: '';
    width: 0;
    height: 0;
    border-top: 13px solid transparent;
    border-bottom: 13px solid white;
    border-right: 13px solid transparent;
    border-left: 13px solid transparent;
    position: absolute;
    top: -59px;
    left: 13px;
    z-index: 20;
}

.grid-button-window .triangle-outer {
    content: '';
    width: 0;
    height: 0;
    border-top: 14px solid transparent;
    border-bottom: 13px solid #ebeeef;
    border-right: 14px solid transparent;
    border-left: 14px solid transparent;
    position: absolute;
    top: -60px;
    left: 12px;
}

/*---------------------------------button window loading-----------------------------------*/
.button-window-loading-img {
    padding: 15px;
    text-align: center;
    width: 300px;
}

.button-window-loading-img img {
    width: 40px;
}

